package com.steerinfo.appservice.appmeterbasecussupcar.mapper;

import com.steerinfo.appservice.appmeterbasecussupcar.model.AppMeterBaseCusSupCar;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

@Mapper
public interface AppMeterBaseCusSupCarMapper extends IBaseMapper<AppMeterBaseCusSupCar, String> {
     String GetNewID();

     List<AppMeterBaseCusSupCar> selectForUpdate(Map<String, Object> parameters);

     List<AppMeterBaseCusSupCar> selectList(List<String> ids);

     List<AppMeterBaseCusSupCar> selectAllCar(List<String> ids);
}